import { jsx } from "react/jsx-runtime";
import { TextHFourIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TextHFour = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "TextHFour", ...props, children: /* @__PURE__ */ jsx(TextHFourIcon, { weight: variant }) });
  }
);
TextHFour.displayName = "TextHFour";
Object.assign(TextHFour, { isGdsIcon: true });
export {
  TextHFour
};
